Subject: Re: bug#47895: 28.0.50; Emacs should only animate images that are visible

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Apr 2021 21:28:09 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 19 Apr 2021 20:19:19 +0200
> 
> Emacs is generally slow about calculating animated images, and that
> should be fixed (there's a separate bug report for that), but there's
> one thing Emacs could be doing:
> 
> Not animating images that are off screen.
> 
> I think most web browsers do this -- to avoid using too much CPU, which
> is the same problem we have in Emacs: Opening a web page with many large
> animated GIFs usually makes Emacs very slow.

I'd be interested to see a backtrace for such animation of an image
that is not on display.  In general, since animation is triggered (I
think) when the image is being prepared for redisplay, what you
describe shouldn't be happening.  If it dies indeed happen, I have a
couple of guesses how that could be triggered, but it would be nice to
see evidence.

Thanks.